%define name kdestudio
%define	version 2.0.0
%define release 8mdk

Summary: 	THE IDE for KDE
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Other
License: 	GPL
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://www.kdestudio.org
Requires: 	kdelibs 
BuildRoot: 	%_tmppath/%name-buildroot
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:  XFree86-static-libs automake autoconf diffutils file m4 texinfo gettext libjpeg62-devel
BuildRequires:  kdelibs-devel gcc-c++ kdelibs libbinutils2 libbzip2_1 openssl db1 freetype2 libjpeg62
BuildRequires:  libmng1 libpng2 libqt2 libtiff3 libqt2-devel rpm-build

%description
Powerful IDE for the K Desktop Environment.

%prep

%setup -q
touch `find . -type f`

%build
./configure --prefix=%_prefix --disable-debug

%make CXXFLAGS="%optflags"

%install

make DESTDIR=%buildroot install

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}): \
command="/usr/bin/studio" \
title="KdeStudio" \
longtitle="Kde IDE" \
needs="kde" \
icon="development_environment_section.xpm" \
section="Applications/Development/Development environments"
EOF
)


%post
%{update_menus}
/sbin/ldconfig 
 
%postun
%{clean_menus} 
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr (-,root,root)
%doc AUTHORS COPYING COPYING.LIB
%_bindir/*
%_libdir/*so*
%_libdir/*.la
#
%dir %_libdir/kdestudio/
%dir %_libdir/kdestudio/plugins/
%_libdir/kdestudio/plugins/*.so*
%_libdir/kdestudio/plugins/*.la
#
%dir %_datadir/apps/studio/
%dir %_datadir/apps/studio/templates/
%dir %_datadir/apps/studio/pix/
%dir %_datadir/apps/studio/icons/
%dir %_datadir/apps/studio/icons/locolor/
%dir %_datadir/apps/studio/icons/locolor/16x16/
%dir %_datadir/apps/studio/icons/locolor/16x16/actions/
%dir %_datadir/apps/studio/icons/locolor/22x22/
%dir %_datadir/apps/studio/icons/locolor/22x22/actions/
%dir %_datadir/apps/studio/icons/hicolor/
%dir %_datadir/apps/studio/icons/hicolor/32x32/
%dir %_datadir/apps/studio/icons/hicolor/32x32/actions/
%dir %_datadir/apps/studio/icons/hicolor/48x48/
%dir %_datadir/apps/studio/icons/hicolor/48x48/actions/
%_datadir/apps/studio/templates/*.gz
%_datadir/apps/studio/pix/*.xpm
%_datadir/apps/studio/icons/locolor/16x16/actions/*.png
%_datadir/apps/studio/icons/locolor/22x22/actions/*.png
%_datadir/apps/studio/icons/hicolor/32x32/actions/*.png
%_datadir/apps/studio/icons/hicolor/48x48/actions/*.png

%_datadir/icons/hicolor/48x48/apps/*.png
%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/22x22/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png

%_datadir/applnk/Development/studio.desktop

%_menudir/*

%changelog 
* Wed Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.0-8mdk
- Fix icon in menu entry

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.0-7mdk
- Rebuild

* Wed Aug 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.0-6mdk
- rebuild

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.0-5mdk
- Move KDE menu entry in %%_datadir/applnk
- Don't call -fexception flag when it's not needed and really use optimizations
- Rebuild against latest GCC

* Fri Mar 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.0-4mdk
- Clean spec and add buil requires

* Tue Mar 13 2001  Lenny Cartier <lenny@mandrakesoft.com> 2.0.0-3mdk
- fix build

* Wed Jan 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.0-2mdk
- Fix requires

* Fri Dec 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.0-1mdk
- new in contribs
